.title{
    text-align: center;
    text-transform: uppercase;
    color: var(--hover-eff);
    font-size: 40px;
    margin-top: 20px;
    margin-bottom: 20px;
}

.heading h2{
    /* margin-bottom: 10px; */
    /* margin-bottom: 10px; */
    margin-top: 10px;
    color: var(--theme-color);
}

.eventsDiv, .heading, .tags{
    width: 80%;
    margin: auto;
}

.eventsDiv{
    min-height: 60vh;
}

.events{
    padding: 20px 0 20px 0;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    row-gap: 20px;
    column-gap: 10px;
    justify-content: start;
}

.event{
    border: 1px solid darkgray;
    padding: 5px 0px 20px 0;
    border-radius: 5px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.event .eventHeader{
   display: flex;
   justify-content: start;
   align-items: center;
   margin-left: 10px;
   margin-bottom: 5px;
}

.event .eventHeader  img{
    height: 25px;
    width: 25px;
    /* margin-bottom: 10px; */
    margin-right: 10px;
}

.event .eventHeader  h5{
   text-transform: uppercase;
   /* font-weight: 500; */
}

.event .eventBody  img{
    width: 100%;
    aspect-ratio: 4/3;
    margin-bottom: 10px;
}

.event .eventFooter{
    margin-left: 10px;
    margin-right: 10px;
    display: flex;
    justify-content: start;
    flex-direction: column;
}

.event .eventFooter h5.eventName{
   font-size: 1.2rem;
   text-transform: capitalize;
}

.event .eventFooter h5.eventDetail{
    text-transform: capitalize;
    font-size: 0.9rem;
    font-weight: 500;
    color: darkgray;
    margin-top: 5px;
}

.event .eventFooter > div ~ div{
    display: flex;
    justify-content: space-between;
}

.tags{
    position: sticky;
    top: 50px;
    margin: auto;
    margin-bottom: 20px;
    margin-top: 40px;
    display: flex;
    flex-wrap: wrap;
    justify-content: start;
    align-items: end;
    background: #f7f7f7;
    border-radius: 5px;
    padding: 0px;
}

.tags div{
    flex-grow: 1;
    border-bottom: 1px solid var(--hover-eff);
}

.tags a{
    text-decoration: none;
    color: black;
    font-size: 15px;
    height: 100%;
    /* margin: 5px 10px; */
    /* background-color: white; */
    padding: 10px 10px;
    /* border-radius: 5px; */
}

.tags a:hover{
    background-color: var(--hover-eff);
    color: white;
}

.tags a.active{
   border-left: 1px solid var(--hover-eff);
   border-top: 1px solid var(--hover-eff);
   border-right: 1px solid var(--hover-eff);
   background-color: white;
}

.tags a.active:hover{
    color: black;
 }

.tags a:not(.active){
    border-bottom: 1px solid var(--hover-eff);
}

@media screen and (max-width:800px){
    .eventsDiv, .heading, .tags{
        width: 90%;
        margin: auto;
    }

    .events{
        grid-template-columns: repeat(1, 1fr);
    }

    .eventsDiv{
        min-height: 68vh;
    }
}